ERROR(8)

NAME
error - Postfix error mailer

SYNOPSIS
error [generic Postfix daemon options]

DESCRIPTION
The Postfix error mailer processes message delivery requests from the queue manager. Each request specifies a queue file, a sender address, a domain or host name that is treated as the reason for non-delivery, and recipient information. This program expects to be run from the master(8) process manager. The error mailer client forces all recipients to bounce, using the domain or host information as the reason for non-delivery, updates the queue file and marks recipients as finished, or it informs the queue manager that delivery should be tried again at a later time. Delivery problem reports are sent to the bounce(8) or defer(8) daemon as appropriate.

SECURITY
The error mailer is not security-sensitive. It does not talk to the network, and can be run chrooted at fixed low privilege.

STANDARDS
None.

DIAGNOSTICS
Problems and transactions are logged to syslogd(8). Depending on the setting of the notify_classes parameter, the postmaster is notified of bounces and of other trouble.

BUGS

CONFIGURATION PARAMETERS
The following main.cf parameters are especially relevant to this program. See the Postfix main.cf file for syntax details and for default values. Use the postfix reload command after a configuration change.

Miscellaneous

bounce_notice_recipient
    Postmaster for bounce error notices.

notify_classes
    When this parameter includes the bounce class, send mail to the postmaster with the headers of the bounced mail.

SEE ALSO
bounce(8) non-delivery status reports
master(8) process manager
qmgr(8) queue manager
syslogd(8) system logging

LICENSE
The Secure Mailer license must be distributed with this software.

AUTHOR(S)
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA